# square-bindings

Xamarin.Android and Xamarin.iOS bindings for the various https://github.com/square libraries

Bound:

 - **Picasso** - https://github.com/square/picasso  
   A powerful image downloading and caching library for Android  
   [binding][1] | [sample][2] | [NuGet][10] | [Xamarin Component][15]  
 - **OkHttp** - https://github.com/square/okhttp  
   An HTTP+SPDY client for Android and Java applications  
   [binding][3] | [sample][7] | [NuGet][11] | [Xamarin Component][16]  
 - **OkHttp.WS** - https://github.com/square/okhttp/tree/parent-2.4.0/okhttp-ws  
   A RFC6455-compliant web socket implementation  
   [binding][5] | [sample][6] | [NuGet][13] | [Xamarin Component][17]  
 - **OkIO** - https://github.com/square/okio  
   A modern I/O API for Java  
   [binding][4] | [NuGet][12]    
 - **SocketRocket** - https://github.com/square/SocketRocket  
   A conforming WebSocket (RFC 6455) client library  
   [binding][8] | [sample][9] | [NuGet][14] | [Xamarin Component][18]  
 - **AndroidTimesSquare** - https://github.com/square/android-times-square  
   Standalone Android widget for picking a single date from a calendar view  
   [binding][19] | [sample][20] | [NuGet][21] | [Xamarin Component][22]  
 - **Valet** - https://github.com/square/valet  
   Valet lets you securely store data in the iOS or OS X Keychain without knowing a thing about how the Keychain works. It’s easy. We promise.  
   [binding][23] | [sample][24] | [NuGet][25] | [Xamarin Component][26]  
 - **Aardvark** - https://github.com/square/Aardvark  
   Aardvark is a library that makes it dead simple to create actionable bug reports.  
   [binding][27] | [sample][28] | [NuGet][29] | [Xamarin Component][30]  
 - **Seismic** - https://github.com/square/Seismic  
   Android device shake detection.  
   [binding][31] | [sample][32] | [NuGet][33] | [Xamarin Component][34]  
 - **Pollexor** - https://github.com/square/Pollexor  
   Thumbor image service client which allows you to build URIs in an expressive fashion using a fluent API.  
   [binding][35] | [sample][36] | [NuGet][37] | [Xamarin Component][38]  


[1]:  https://github.com/mattleibow/square-bindings/tree/master/binding/Square.Picasso
[2]:  https://github.com/mattleibow/square-bindings/tree/master/sample/PicassoSample
[3]:  https://github.com/mattleibow/square-bindings/tree/master/binding/Square.OkHttp
[4]:  https://github.com/mattleibow/square-bindings/tree/master/binding/Square.OkIO
[5]:  https://github.com/mattleibow/square-bindings/tree/master/binding/Square.OkHttp.WS
[6]:  https://github.com/mattleibow/square-bindings/tree/master/sample/OkHttpWSSample
[7]:  https://github.com/mattleibow/square-bindings/tree/master/sample/OkHttpSample
[8]:  https://github.com/mattleibow/square-bindings/tree/master/binding/Square.SocketRocket
[9]:  https://github.com/mattleibow/square-bindings/tree/master/sample/SocketRocketSample
[10]: https://www.nuget.org/packages/Square.Picasso
[11]: https://www.nuget.org/packages/Square.OkHttp
[12]: https://www.nuget.org/packages/Square.OkIO
[13]: https://www.nuget.org/packages/Square.OkHttp.WS
[14]: https://www.nuget.org/packages/Square.SocketRocket
[15]: http://components.xamarin.com/view/square.picasso
[16]: http://components.xamarin.com/view/square.okhttp
[17]: http://components.xamarin.com/view/square.okhttp.ws
[18]: http://components.xamarin.com/view/square.socketrocket
[19]: https://github.com/mattleibow/square-bindings/tree/master/binding/Square.AndroidTimesSquare
[20]: https://github.com/mattleibow/square-bindings/tree/master/sample/AndroidTimesSquareSample
[21]: https://www.nuget.org/packages/Square.AndroidTimesSquare
[22]: http://components.xamarin.com/view/square.androidtimessquare
[23]: https://github.com/mattleibow/square-bindings/tree/master/binding/Square.Valet
[24]: https://github.com/mattleibow/square-bindings/tree/master/sample/ValetSample
[25]: https://www.nuget.org/packages/Square.Valet
[26]: http://components.xamarin.com/view/square.valet
[27]: https://github.com/mattleibow/square-bindings/tree/master/binding/Square.Aardvark
[28]: https://github.com/mattleibow/square-bindings/tree/master/sample/AardvarkSample
[29]: https://www.nuget.org/packages/Square.Aardvark
[30]: http://components.xamarin.com/view/square.aardvark
[31]: https://github.com/mattleibow/square-bindings/tree/master/binding/Square.Seismic
[32]: https://github.com/mattleibow/square-bindings/tree/master/sample/SeismicSample
[33]: https://www.nuget.org/packages/Square.Seismic
[34]: http://components.xamarin.com/view/square.seismic
[35]: https://github.com/mattleibow/square-bindings/tree/master/binding/Square.Pollexor
[36]: https://github.com/mattleibow/square-bindings/tree/master/sample/PollexorSample
[37]: https://www.nuget.org/packages/Square.Pollexor
[38]: http://components.xamarin.com/view/square.pollexor
